org.apache.lucene.benchmark.byTask.tasks

## Class SearchTravRetTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.ReadTask
    - - org.apache.lucene.benchmark.byTask.tasks.SearchTravTask
      - - org.apache.lucene.benchmark.byTask.tasks.SearchTravRetTask

All Implemented Interfaces:
  Cloneable

    public class SearchTravRetTask
    extends SearchTravTask

Search and Traverse and Retrieve docs task.

Note: This task reuses the reader if it is already open. Otherwise a reader is opened at start and closed at the end.

Takes optional param: traversal size (otherwise all results are traversed).

Other side effects: counts additional 1 (record) for each traversed hit, and 1 more for each retrieved (non null) document.

### Field Summary

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.SearchTravTask

`traversalSize`

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`logStep, NEW_LINE, params, stopNow`

### Constructor Summary

Constructors
Constructor and Description
`SearchTravRetTask(PerfRunData runData)`

### Method Summary

Methods
`boolean` `withRetrieve()` Return true if, with search & results traversing, docs should be retrieved.

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.SearchTravTask

`getQueryMaker, setParams, supportsParams, traversalSize, withSearch, withTraverse, withWarm`

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReadTask

`createCollector, doLogic, getBenchmarkHighlighter, getFieldsToHighlight, getSort, numHits, numToHighlight, retrieveDoc, setup, withCollector, withMaxScore, withScore`

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setRunInBackground, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, tearDown, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SearchTravRetTask

    public SearchTravRetTask(PerfRunData runData)

### Method Detail

#### withRetrieve

    public boolean withRetrieve()

Description copied from class: `ReadTask`
Return true if, with search & results traversing, docs should be retrieved.

Overrides:
  `withRetrieve` in class `SearchTravTask`